## setSoundLoopPoints

### Syntax:

    setSoundLoopPoints (soundFile, startPoint, endPoint);

### Purpose:

Changes the start and end points used when looping a sound. The soundFile file must be looping already (by calling loopSound with the same soundFile parameter). The new start and end points for looping the sound are then changed to startPoint and endPoint respectively. If startPoint is beyond the end of the sample, the start of the sample (position 0) is used instead. If endPoint is 0 or beyond the end of the sample, the end point is set to the end of the sample.

### *Return value:

No return value.

### See also:

Using Audio in SLUDGE

playSound

setSoundVolume

stopSound

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012